org.jCharts.properties

## Class ScatterPlotProperties

- java.lang.Object
- - org.jCharts.properties.ChartTypeProperties
  - - org.jCharts.properties.AxisChartTypeProperties
    - - org.jCharts.properties.ScatterPlotProperties

- All Implemented Interfaces:
    HTMLTestable

      public final class ScatterPlotProperties
      extends AxisChartTypeProperties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Stroke` | `DEFAULT_LINE_STROKE`
    `private Stroke[]` | `lineStrokes`
    `private Shape[]` | `shapes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScatterPlotProperties(Stroke[] lineStrokes, Shape[] shapes)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stroke[]` | `getLineStrokes()`
    `Shape[]` | `getShapes()`
    `void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
    `void` | `validate(IAxisPlotDataSet iAxisPlotDataSet)` Validates the properties.

    - ### Methods inherited from class org.jCharts.properties.AxisChartTypeProperties

      `addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LINE_STROKE

          public static final Stroke DEFAULT_LINE_STROKE

    - #### lineStrokes

          private Stroke[] lineStrokes

    - #### shapes

          private Shape[] shapes

  - ### Constructor Detail

    - #### ScatterPlotProperties

          public ScatterPlotProperties(Stroke[] lineStrokes,
                                       Shape[] shapes)

      Constructor
      Parameters:
        `lineStrokes` -
        `shapes` - if any of the shapes are NULL, they will not be drawn. If the passed Array is NULL, no shpaes will be drawn. There are some Shapes defined in PointChartProperties Object.

  - ### Method Detail

    - #### getLineStrokes

          public Stroke[] getLineStrokes()

    - #### getShapes

          public Shape[] getShapes()

    - #### toHTML

          public void toHTML(HTMLGenerator htmlGenerator)

      Enables the testing routines to display the contents of this Object.
      Parameters:
        `htmlGenerator` -

    - #### validate

          public void validate(IAxisPlotDataSet iAxisPlotDataSet)
                        throws PropertyException

      Validates the properties.
      Specified by:
        `validate` in class `AxisChartTypeProperties`
      Parameters:
        `iAxisPlotDataSet` -
      Throws:
        `PropertyException`